package com.usky.fire.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.fire.service.PatrolInspectionPlanSonService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * APP-巡检
 *
 * @author JCB
 * @since 2022-07-12
 */
@RestController
@RequestMapping("/appPatrolInspection")
public class AppPatrolInspectionController {

    @Autowired
    private PatrolInspectionPlanSonService patrolInspectionPlanSonService;

    /**
     * App-巡检自查-首页
     *
     * @param personnelId 人员ID
     * @return
     */
    @GetMapping("appPlanStatistics")
    public ApiResult<Map<String, Object>> appPlanStatistics(@RequestParam(value = "personnelId") Integer personnelId) {
        return ApiResult.success(patrolInspectionPlanSonService.appPlanStatistics(personnelId));
    }
}